using UnityEngine;

namespace Cryville.Crtr.Components {
	public class TransformInterface : SkinComponent {
		public TransformInterface() {
			SubmitProperty("pos", new PropOp.Vector3(v => transform.localPosition = v));
			SubmitProperty("rot", new PropOp.Vector3(v => transform.localRotation = Quaternion.Euler(v)));
			SubmitProperty("scale", new PropOp.Vector3(v => transform.localScale = v));
		}
		protected override void OnDestroy() { }
	}
}
